Issues to 3.2 to 4.2 Update

Discussion in 'Wii - Hacking' started by HyperVisor, Oct 24, 2009.

Oct 24, 2009

Issues to 3.2 to 4.2 Update by HyperVisor at 9:45 AM (2,026 Views / 0 Likes) 8 replies

  1. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    I recently softmodded a virgin 3.2E. I've got Hackmii 5 and the HBC installed. I then used Waninkoko's 4.2 updater to take the system to 4.2E.

    The 4.2 installation was successful and I could seem to load homebrew apps without any issues. I then tried to use USBloader GX but it wouldn't see the drive. It just froze with a black screen. I thought this was probably due to the fact that cIOS38r14 hadn't been installed, so I installed that and then got that working (although I noticed that it seemed to be very unreliable. The first few times it worked great, but then it failed to load with a black screen 4-5 times in a row). The hard drive works perfectly on another Wii (but that has a Wiikey installed).

    I then noticed that Waninkoko's instructions said you needed to run Dop-IOS and downgrade IOS30 to v1040. I ran Dop-IOS and selected IOS30 and selected '-' to do the upgrade but it just crashed with a load of gargaged text on the screen. It does this every time I try it. I also tried to re-install the latest IOS61 as per Waninkoko's instructions but noticed this says 'without the sig-hash'. When I select the IOS, it then asks to confirm the installation with the sig hash. There's isn't an option to select 'without' the sig-hash from what I can see. I didn't try and upgrade and simply pressed the 'B' button to go back and the Wii just crashed again.

    The HBC screen is upside down and I can see from Waninkoko's notes that this is fixed by re-installing the IOS61, but I can't install it without knowing the above and I'm also suspecting it's just going to crash just like when I tried downgrading IOS30. Any ideas on that?

    After all the above I noticed that there was a pre-requisite 'Prerequisites: You must have IOS30 v1040. If you don't, use Dop-IOS to downgrade it, before proceeding.'. Unfortuantely I didn't see that, so this is may be the issue?

    I've tried to use Dop-IOS to install IOS30 v1040, but again, if I try and install it the Wii just crashes.

    Any help appreciated.
     
  2. G0dLiKe

    Member G0dLiKe who needs a title ;)

    Joined:
    Aug 2, 2009
    Messages:
    1,674
    Country:
    United States
    Try using DOP IOS Mod for that.
     
  3. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    I already had as highlighted in the original post. I can't run it because it just crashes.
     
  4. longtom1

    Member longtom1 Keep an eye on my posts cause I quick edit frequen

    Joined:
    Jan 12, 2009
    Messages:
    2,641
    Location:
    Honey Oils inc.
    Country:
    Antarctica
    use dop-ios mod v6 cause v7 crashes and I get a garbled screen aswell but v6 works sweet
     
  5. 2yugimoto

    Member 2yugimoto GBAtemp Fan

    Joined:
    Mar 14, 2009
    Messages:
    417
    Location:
    Philidelphia
    Country:
    United States
    just update officially
     
  6. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    I used version 8 of DOP IOS and that worked.

    Thanks anyway
     
  7. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    Here's what I ended up doing to get everything working:

    1. Followed guide on WiiBrew HERE.

    2. Used WadManager 1.5 to load DOP-IOS (I had to use version 8 as all other versions crashed the Wii) to downgrade IOS30 to v1040 (in my case this was necessary)

    3. Installed Waninikoko's 4.2 updater

    4. Installed cIOS38r14 (providing access to USB & loaders)

    5. To correct the issue I had with the HBC being upside down (known issues with 4.2 updater) I used DOP-IOS v8 to re-install IOS61 with the same version but did NOT apply the trucha patch (just pressed B to cancel on the Wiimote). I then used Hackmii 5 to re-install HBC
     
  8. HyperVisor
    OP

    Newcomer HyperVisor Advanced Member

    Joined:
    Aug 26, 2007
    Messages:
    73
    Country:
    United Kingdom
    For additional reference, when I'd got hold of a virgin 4.1E system, after installing the HBC it was necessary to use Trucha Bug Restorer to get around the WAD installation prevention incorporated into later firmware revisions.

    I used the following thread on Wiihacks, which covers the process:

    http://www.wiihacks.com/recommended-faqs-g...od-any-wii.html
     
  9. Krestent

    Member Krestent What to post?

    Joined:
    Mar 31, 2009
    Messages:
    3,952
    Country:
    United States
    Why would you post in a thread that's 2 months old?!?!?
     

Share This Page